\documentclass[12pt]{article}
\usepackage{graphics,my,comb}
\usepackage{makeidx}

\graphicspath{{figures/}}

\oddsidemargin 0mm

\renewcommand{\sketch}{Sketch}
\renewcommand{\arule}{Rule}
\renewcommand\contentsname{Contents}
\renewcommand\refname{References}
\renewcommand\tablename{Table}
\usepackage{times}
\makeindex
%\flushbottom

\begin{document}
\title{ME3E course, slope deflection method, exercise, homework 13}
\author{Petr \v Re\v richa }
%\month{May}
%\year{1997}
%\date{}
\maketitle
%\tableofcontents

\topmargin -15mm
\topmargin -24mm
% the page size required by CVUT Edition center:
\textheight 250mm
\textwidth 160mm
\oddsidemargin 0mm
\footskip 10mm
\pagestyle{plain}
\textfloatsep 0pt

The examples complement chapter 6 of the lecture notes
'force and slope defl. methods' on the course web page, just 'Notes'
forthwith. They
should substitute classes of the present 13th week of the semester.
Questions concerning the stuff, address, please, to\\
'petr.rericha@fsv.cvut.cz'.\\ 
HW 13 should be delivered at the same address
by Tuesday, May, 18th. If possible, process the homework
in a document processor (Word, Latex,..), scanned manuscripts are
acceptable, too. 


The cross-section stiffnesses $EA=1$, $EJ=1$ are assumed in most examples
for brevity unless otherwise stated.

\section{Reference for formulas and variables}
The arrows indicating displacements, rotations, forces and moments define
their positive senses!
\\
The real displacements and rotations are very small, both $\varphi_i$ and $\psi_{i,j}$
are of the order $0.001$ in real structures. The geometric relations valid
for infinitesimal displacements and rotations are therefore used,
for instance $\psi_{i,j}=v/l_{i,j}$. 
\\
\insFigUp{end-forces.pdf}{\textwidth}
\begin{equation}
M_{i,j} = k_{i,j} (2\phi_i + \phi_j -3~\psi_{i,j}) + M_{i,j}^f 
%                                                       \label{eq_sd4}
\end{equation}
$M_{i,j}$ - end moment at joint $i$ of beam $i,j$ owing to the joint
and beam rotations and to the beam load. The beam load is not shown in the left sketch
in order not to obscure the picture, instead its tokens are visible in the right sketch.
\\
$M_{i,j}^f$ - fixed end moment at joint $i$ of beam $i,j$ owing to the beam load alone
 with joint displacements and rotations fixed.
$\varphi_i$ - joint rotation
\\
$\psi_{i,j}$ - beam rotation
\\
A table of the fixed-end moments is provided for easy reference:
\begin{tabl}
\begin{center}
Fixed-end moments
\index{end moments!fixed}%
\begin{tabular}{cccccc}
load & $M_{i,j}^f$ & $M_{j,i}^f$& load & $M_{i,j}^f$ & $M_{j,i}^f$\\
\hline
\insFigUp{sdtab1.pdf}{0.2\textwidth}&${F a b^2 \over l^2}$ & ${-Fa^2b
\over l^2}$
&\insFigUp{sdtab4.pdf}{0.2\textwidth}&$fa^2{6l^2-8al+3a^2\over 12l^2}$ 
& $fa^3{3a-4l\over 12l^2}$\\
\insFigUp{sdtab2.pdf}{0.2\textwidth}&$Mb{2a-b\over l^2}$ & $Ma{2b-a
\over l^2} $
&\insFigUp{sdtab5.pdf}{0.2\textwidth}&$fl^2/20$&$-fl^2/30$ \\
\insFigUp{sdtab3.pdf}{0.2\textwidth}&$fl^2/12$ & $-fl^2/12 $
&\insFigUp{sdtab6.pdf}{0.2\textwidth}&$-{\Delta t~\alpha~EJ\over h}$ 
&${\Delta t~ \alpha~EJ\over h} $
\end{tabular}
\end{center}
\label{tabl_1}
\end{tabl}
A modified formula is valid for the end moment $M_{i,j}$ when end $j$ is attached
to the joint by a hinge:
\\
\insFigUp{end-forces-hinge.pdf}{0.5\textwidth}
\begin{equation}
M_{i,j}= k_{i,j}{3\over 2}(\phi_i-\psi_{i,j}) 
  +M_{i,j}^f-{M_{j,i}^f\over 2}
  ~~~~~~{\rm hinge~at~}j~~~~~~~M_{j,i}=0
%                                                       \label{eq_sd6} 
\end{equation}
If a beam is not loaded then a simple formula follows from its free body equilibrum
condition:
\begin{equation}
V_{i,j}= {M_{i,j}+M_{j,i}\over l_{i,j}}                  
\end{equation}
\\ \\ \\ \\ \\ \\
\section{Cross (moment distribution) method}
Continuous beam with five equidistant supports is solved by the Cross method.
The beam stiffnesses of all bays are the same $k=1$. 
\\
\insFigUp{cross-cont-beam.pdf}{0.8\textwidth}
\\
In the first phase
of the solution the distribution factors are determined. At joint 2
the factors at $\varphi_2$ in the slope deflection method are
$1.5k$ in beam 1,2 and $2k$ in beam 2,3. The distribution factors
are thus (see formula (33) in the Notes):
\[ DF_{2,1}= {1.5\over 1.5+2}=0.43,~~~DF_{2,3}={2\over 1.5+2}=0.57 \]
At joint 3 the distribution factors are $0.5$ both since the factors
at $\varphi_3$ of the slope deflection methods are the same.
The distribution factors are inserted in the beam 'trunk' for easy
reference. The carry over factors in this case are all 0.5 since the beams
are prismatic. They are not shown in the scheme. Important rule must be
carefully checked - the sum of the distribution factors at any joint 
must be 1!
The second phase, the iteration, starts with
the fixed end moment  in bay 1,2 at joint 2 which $M_{2,1}= -4\cdot 10/8-
1/2(4\cdot 10/8)= -7.5$. No other fixed end moments occur. If all joints
rotations were fixed, this would be the only end moment in the beam.
Joint 2 would be then the only one with imbalance of the moments.
The rotation $\varphi_2$ is now released, joint 2 rotates so that
moment equilibrium is restored at joint 2. The imbalance distributes
to beams 1,2 and 2,3 according to their distribution factors. Joint 2
now is in equilibrium, indicated by the line above joint 2. Moment 4.27
carries over to joint 3 with carry over factor 0.5 imposing imbalance 2.13 at
joint 3. Now rotation of joint 3 is released and the imbalance is distributed
to beams 2,3, -1.06 and 3,4, -1.06, too. These increments of the end moments
at 3 are carried over to joints 2 and 4. Joints 2 and 4 rotations 
can now be released. The algorithm admits thus more ways to go on.
In spite of it, the iteration converges always to the correct solution.

The iteration process can be seen from another side. The structure stiffness
matrix and equilibrium equations of the slope deflection method are
\[ \begin{array}{cccc} \varphi_2&\varphi_3&\varphi_4&load \\ 3.5&1&0&-7.5\\
1&4&1&0\\0&1&3.5&0 \end{array} \]
The joint 2 rotation when it is released for the first time keeping
all other joints fixed, is $\varphi_3=7.5/3.5=2.13$. When this value is 
substituted in the second equation of the system we get
\[ 2.13 +4\varphi_3+\varphi_4 =0 \]
The load term in this equation is the same as the imbalance in the second
step of the Cross method.
Rotation $\varphi_3$ is now released keeping the other two fixed and
$\varphi_3=-2.13/4=-0.53$. When it is substituted in the third equation
\[ -0.53 +3.5\varphi_4=0\]. The load term equals the imbalance at joint 4
in the third step of the Cross method.
One step of the Cross method thus is equivalent to dividing the imbalance
in a equation by the diagonal element of the stiffness matrix and
substituting the value obtained in all other equations which yields
new imbalances in them. This process is the simplest variant of the
relaxation method for the solution of any positive definite system
of linear equations. The Cross method gave the initial impetus to the
development of a whole family of the relaxation methods that are now 
widely used in all branches of technology and science.
  \\
  {\bf HW 13:}
  \\
Solve the frame of HW12 once again by the slope deflection method, 
draw all internal forces diagrams.
The frame is now loaded by the support settlement - joint 2 slides 
horizontally by distance $s$.
\\
\insFigUp{exc13-hw.pdf}{0.5\textwidth}
\\
\newpage
{\bf HW 13, Solution}\\
The frame has at least 3 DOFs in the slope deflection method,
$\varphi_3$, $\varphi_4$ and $\psi_{1,3}$. Rotations of beams
$3,4$ and $2,4$ depend on $\psi_{1,3}$. The task can be substantially
simplified when symmetry is utilized.
\\ \insFigUp{exc13-hw-sol.pdf}{\textwidth} \\
\\
{\bf Symmetric load case}
\\
Joint 3 can rotate and translate in the vertical direction. The center
of rotation of beam 1,3 thus must lie on the dashed horizontal line
through joint 3. Joint 2 translates horizontally, the center
of rotation of beam 1,3 thus must lie on the dashed vertical line
through joint 2. The center then is the intersection of those two dashed
lines, point $c$. When the support point 1 translates by $s/2$ to the left,
the rotation of beam $1,3$ is  $\psi_{1,3}= -s/2/4=-s/8$.
% testifies to my dullness:
%Joints 3 and 5 both can translate only in vertical 
%direction, the respective dashed lines (not drawn in the sketch) are thus
%both horizontal (actually they coincide) and intersect in infinity
%in horizontal direction so that beam 3,5 can translate verticu
%cannot rotate
Two independent  DOFs  are there in the slope deflection in this symmetric
load case:
\\ DOFs: $\varphi_3,~\psi_{3,5}$
\\The structure is the same as in
the HW12 so the stiffness matrix of the structure must remain the same, too.
The load term of the equilibrium equations may different, however.  
The  conjugate equil.  equation to $\varphi_3$ is
\[ 3 \odot: M_{3,1}+M_{3,5}=0 \]
The equil.  equation conjugate to $\psi_{3,5}$ is derived by the PVW
(recall that it was derived as equil. of joint 5 in vertical direction
in the HW12). When $\delta \psi_{3,5}$ is imposed, the actual end moments
do the work
\[ \delta w= M_{3,5}\delta \psi_{3,5}+M_{5,3}\delta \psi_{3,5}=0,~~~
\Rightarrow~ M_{3,5}+M_{5,3}=0\]
The two equilibrium equations are the same as in the HW12 indeed. The
expression for $M_{3,1}$ is different, it contains a nonzero load
term:
\[ M_{3,1}=1.5\varphi_3-1.5\psi_{1,3}=1.5\varphi+12s,~~~M_{3,5}=
2\cdot2.5\varphi_3 - 3\cdot 2.5\psi_{3,5},~~~ M_{5,3}=2.5\varphi_3-
 3\cdot 2.5\psi_{3,5}\]
The equil. equations in terms of the DOFs
\[ \begin{array}{ccc} \varphi_3&\psi_{3,5}&load term\\
    6.5&-7.5&12s\\ 7.5&-15&0 \end{array} \]
The stiffness matrix of the system is the same as in the HW12.
The rotations:
\[ \varphi_3=-4.36,~~~\psi_{3,5}=-2.18\]
The end moments:
\[ M_{3,1}=5.45s,~~~M_{3,5}=-5.45s,~~~M_{5,3}=5.45s \]
\\
{\bf Antisymmetric load case} 
\\
The frame is statically determinate so that any support settlement
does not induce any internal forces in it. The solution of the
symmetric load case is the final result.
\\
{\bf Final internal forces (symmetric)}
\\
 The shear forces are
computed using formula (3) of the reference section above. The normal
force $N_{3,1}$ then follows from the equil. condition,
\[ 3\uparrow: -V_{3,1}\cdot 3/5+V_{3,5}+N_{3,1}=0,~~~
  N_{3,1}= 1.09\cdot 3/5+0=0.65. \]
The equilibrium condition in horizontal direction supplies $N_{3,5}$:
\[ 3\rightarrow: N_{3,1}\cdot 3/5-V_{3,1}\cdot 4/5 -N_{3,5}=0,~~~
 N_{3,5}=1.26\]
\\
\insFigUp{exc13-hw-sol2.pdf}{\textwidth}
  

 
\end{document}
